Download file
curl --request POST \
--url https://api.gumloop.com/api/v1/download_file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_name": "<string>",
"run_id": "<string>",
"saved_item_id": "<string>",
"user_id": "<string>",
"project_id": "<string>"
}
'import requests
url = "https://api.gumloop.com/api/v1/download_file"
payload = {
"file_name": "<string>",
"run_id": "<string>",
"saved_item_id": "<string>",
"user_id": "<string>",
"project_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_name: '<string>',
run_id: '<string>',
saved_item_id: '<string>',
user_id: '<string>',
project_id: '<string>'
})
};
fetch('https://api.gumloop.com/api/v1/download_file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gumloop.com/api/v1/download_file",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_name' => '<string>',
'run_id' => '<string>',
'saved_item_id' => '<string>',
'user_id' => '<string>',
'project_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gumloop.com/api/v1/download_file"
payload := strings.NewReader("{\n \"file_name\": \"<string>\",\n \"run_id\": \"<string>\",\n \"saved_item_id\": \"<string>\",\n \"user_id\": \"<string>\",\n \"project_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gumloop.com/api/v1/download_file")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"file_name\": \"<string>\",\n \"run_id\": \"<string>\",\n \"saved_item_id\": \"<string>\",\n \"user_id\": \"<string>\",\n \"project_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gumloop.com/api/v1/download_file")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file_name\": \"<string>\",\n \"run_id\": \"<string>\",\n \"saved_item_id\": \"<string>\",\n \"user_id\": \"<string>\",\n \"project_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyDownload file
Download files the caller can access. Team API keys cannot open chat or personal agent files; use a personal API key for those files. These refusals use personal_credential_required.
POST
/
download_file
Download file
curl --request POST \
--url https://api.gumloop.com/api/v1/download_file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_name": "<string>",
"run_id": "<string>",
"saved_item_id": "<string>",
"user_id": "<string>",
"project_id": "<string>"
}
'import requests
url = "https://api.gumloop.com/api/v1/download_file"
payload = {
"file_name": "<string>",
"run_id": "<string>",
"saved_item_id": "<string>",
"user_id": "<string>",
"project_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_name: '<string>',
run_id: '<string>',
saved_item_id: '<string>',
user_id: '<string>',
project_id: '<string>'
})
};
fetch('https://api.gumloop.com/api/v1/download_file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gumloop.com/api/v1/download_file",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'file_name' => '<string>',
'run_id' => '<string>',
'saved_item_id' => '<string>',
'user_id' => '<string>',
'project_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gumloop.com/api/v1/download_file"
payload := strings.NewReader("{\n \"file_name\": \"<string>\",\n \"run_id\": \"<string>\",\n \"saved_item_id\": \"<string>\",\n \"user_id\": \"<string>\",\n \"project_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gumloop.com/api/v1/download_file")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"file_name\": \"<string>\",\n \"run_id\": \"<string>\",\n \"saved_item_id\": \"<string>\",\n \"user_id\": \"<string>\",\n \"project_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gumloop.com/api/v1/download_file")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"file_name\": \"<string>\",\n \"run_id\": \"<string>\",\n \"saved_item_id\": \"<string>\",\n \"user_id\": \"<string>\",\n \"project_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Body
application/json
The name of the file to download.
The ID of the flow run associated with the file.
The saved item ID associated with the file.
Optional. The user ID associated with the flow run.
Optional. The project ID associated with the flow run.
Response
File downloaded successfully
Was this page helpful?